from __future__ import print_function
import inspect

__permissive_olddiv = True

__error_integer = "***** old_div got unexpected integer argument! Please report this to temanejo@hlrs.de, including the full error message!"
__error_float = "***** old_div got unexpected float argument! Please report this to temanejo@hlrs.de, including the full error message!"


"""Mimick the behaviour of the division operator in python2"""
def old_div(a, b, expect_float=False, expect_integer=False):
    if isinstance(a, int) and isinstance(b, int):
        if not expect_integer:
            if __permissive_olddiv:
                print(__error_integer)
                print(inspect.stack())
            else:
                raise RuntimeError(__error_integer)
        return a // b
    else:
        if not expect_float:
            if __permissive_olddiv:
                print(__error_float)
                print(inspect.stack())
            else:
                raise RuntimeError(__error_float)
        return a / b
