# COPYRIGHT
#    (C) 2014 HLRS, University of Stuttgart
#    Temanejo is published under the terms of the BSD license.

try:
    import pygtk
    pygtk.require('2.0')
except:
    pass
import gtk


if gtk.gtk_version >= (2, 22):
    Statusbar = gtk.Statusbar
else:
    # GTK v2.22 introduces gtk.Statusbar.remove_all(); emulate its behaviour
    class Statusbar(gtk.Statusbar):
        def remove_all(self, cid):
            while (self.pop(cid)): pass

_warning = Statusbar()

warning = _warning  # leave room to change implementation later
